<?php
class ControllerExtensionPaymentipay88CreditCard extends Controller
{
    private $error = array();

    public function index()
    {
        $this->load->language('extension/payment/ipay88CreditCard');

        $this->document->setTitle($this->language->get('heading_title'));

        $this->load->model('setting/setting');

        if(($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate())
        {
            $this->model_setting_setting->editSetting('payment_ipay88CreditCard', $this->request->post);
            $this->session->data['success'] = $this->language->get('text_success');
            $this->response->redirect($this->url->link('marketplace/extension', 'user_token=' . $this->session->data['user_token'] . '&type=payment', true));
        }
		
      
		//Logo
		$data['logo_ipay88']			= $this->language->get('logo_ipay88');
		
		//Heading
		$data['heading_title'] 			= $this->language->get('heading_title');
		
		//Text
        $data['text_edit'] 				= $this->language->get('text_edit');
        $data['text_enabled'] 			= $this->language->get('text_enabled');
        $data['text_disabled'] 			= $this->language->get('text_disabled');
		$data['entry_status'] 			= $this->language->get('entry_status');
		$data['entry_sort_order'] 		= $this->language->get('entry_sort_order');
		
		//Description
		$data['description_ipay88'] 	= $this->language->get('description_ipay88');
		
		//Entry
		$data['entry_method_title']   	= $this->language->get('entry_method_title');
		$data['entry_description']   	= $this->language->get('entry_description');
		$data['entry_merchant_code'] 	= $this->language->get('entry_merchant_code');
		$data['entry_merchant_key']  	= $this->language->get('entry_merchant_key');
		$data['entry_payment_types'] 	= $this->language->get('entry_payment_types');
		$data['entry_ipay88_action'] 	= $this->language->get('entry_ipay88_action');
		$data['entry_sanbox']          	= $this->language->get('entry_sanbox');
		$data['entry_production']     	= $this->language->get('entry_production');
		
		//Help
		$data['help_method_title']   	= $this->language->get('help_method_title');
		$data['help_description']   	= $this->language->get('help_description');
		$data['help_merchant_code'] 	= $this->language->get('help_merchant_code');
        $data['help_merchant_key'] 		= $this->language->get('help_merchant_key');
		$data['help_payment_types']		= $this->language->get('help_payment_types');
		$data['help_ipay88_action']		= $this->language->get('help_ipay88_action');
		
		//Button	
        $data['button_save'] 			= $this->language->get('button_save');
        $data['button_cancel'] 			= $this->language->get('button_cancel');


		//Error messages
 		if (isset($this->error['warning'])) 
		{
            $data['error_warning'] = $this->error['warning'];
        } 
		
		else 
		{
            $data['error_warning'] = '';
        }
		
		if (isset($this->error['value_error_method_title'])) 
		{
            $data['error_method_title'] = $this->error['value_error_method_title'];
        } 
		
		else 
		{
            $data['error_method_title'] = '';
        }
		
		if (isset($this->error['value_error_description'])) 
		{
            $data['error_description'] = $this->error['value_error_description'];
        } 
		
		else 
		{
            $data['error_description'] = '';
        }

        if (isset($this->error['value_error_merchant_code'])) 
		{
            $data['error_merchant_code'] = $this->error['value_error_merchant_code'];
        } 
		
		else 
		{
            $data['error_merchant_code'] = '';
        }
		
		if (isset($this->error['value_error_merchant_key'])) 
		{
            $data['error_merchant_key'] = $this->error['value_error_merchant_key'];
        } 
		
		else 
		{
            $data['error_merchant_key'] = '';
        }
		
        

		
        $data['breadcrumbs'] = array();
        
		$data['breadcrumbs'][] = 
		array(
            	'text' => $this->language->get('text_home'),
            	'href' => $this->url->link('common/dashboard', 'user_token=' . $this->session->data['user_token'], true)
        );

  		//Tab extension in setting plugin
        $data['breadcrumbs'][] = 
		array(
        		'text' => $this->language->get('text_extension'),
            	'href' => $this->url->link('marketplace/extension', 'user_token=' . $this->session->data['user_token'] . '&type=payment', true)
        );

		//Tab title in setting plugin
        $data['breadcrumbs'][] = array(
            'text' => $this->language->get('heading_title'),
            'href' => $this->url->link('extension/payment/ipay88CreditCard', 'user_token=' . $this->session->data['user_token'], true)
        );

		//Button Save
        $data['action'] = $this->url->link('extension/payment/ipay88CreditCard', 'user_token=' . $this->session->data['user_token'], true);
		
		//Button cancel
        $data['cancel'] = $this->url->link('marketplace/extension', 'user_token=' . $this->session->data['user_token'] . '&type=payment', true);




		//placed value for field method title
        if (isset($this->request->post['payment_ipay88CreditCard_method_title'])) 
		{
            $data['payment_ipay88CreditCard_method_title'] = $this->request->post['payment_ipay88CreditCard_method_title'];
        } 
		
		else 
		{
            $data['payment_ipay88CreditCard_method_title'] = $this->config->get('payment_ipay88CreditCard_method_title');
        }
		
		//placed value for field description
        if (isset($this->request->post['payment_ipay88CreditCard_description'])) 
		{
            $data['payment_ipay88CreditCard_description'] = $this->request->post['payment_ipay88CreditCard_description'];
        } 
		
		else 
		{
            $data['payment_ipay88CreditCard_description'] = $this->config->get('payment_ipay88CreditCard_description');
        }

		//placed value for field merchant code
        if (isset($this->request->post['payment_ipay88CreditCard_merchant_code'])) 
		{
            $data['payment_ipay88CreditCard_merchant_code'] = $this->request->post['payment_ipay88CreditCard_merchant_code'];
        } 
		
		else 
		{
            $data['payment_ipay88CreditCard_merchant_code'] = $this->config->get('payment_ipay88CreditCard_merchant_code');
        }
				
		//placed value for field merchant key
        if (isset($this->request->post['payment_ipay88CreditCard_merchant_key'])) 
		{
            $data['payment_ipay88CreditCard_merchant_key'] = $this->request->post['payment_ipay88CreditCard_merchant_key'];
        } 
		
		else 
		{
            $data['payment_ipay88CreditCard_merchant_key'] = $this->config->get('payment_ipay88CreditCard_merchant_key');
        }
		
		
		
		//placed value for field credit card BCA L payment type
		if (isset($this->request->post['payment_ipay88CreditCard_bca_l'])) 
		{
			$data['payment_ipay88CreditCard_bca_l'] = $this->request->post['payment_ipay88CreditCard_bca_l'];
		}
		
		else 
		{
			$data['payment_ipay88CreditCard_bca_l'] = $this->config->get('payment_ipay88CreditCard_bca_l');
		}	
		
		//placed value for field credit card BCA payment type
		if (isset($this->request->post['payment_ipay88CreditCard_bca'])) 
		{
			$data['payment_ipay88CreditCard_bca'] = $this->request->post['payment_ipay88CreditCard_bca'];
		}
		
		else 
		{
			$data['payment_ipay88CreditCard_bca'] = $this->config->get('payment_ipay88CreditCard_bca');
		}	
		
		//placed value for field credit card BCA Auth payment type
		if (isset($this->request->post['payment_ipay88CreditCard_bca_auth'])) 
		{
			$data['payment_ipay88CreditCard_bca_auth'] = $this->request->post['payment_ipay88CreditCard_bca_auth'];
		}
		
		else 
		{
			$data['payment_ipay88CreditCard_bca_auth'] = $this->config->get('payment_ipay88CreditCard_bca_auth');
		}	


		//placed value for field credit card BRI payment type
		if (isset($this->request->post['payment_ipay88CreditCard_bri'])) 
		{
			$data['payment_ipay88CreditCard_bri'] = $this->request->post['payment_ipay88CreditCard_bri'];
		}
				
		else 
		{
			$data['payment_ipay88CreditCard_bri'] = $this->config->get('payment_ipay88CreditCard_bri');
		}

		//placed value for field credit card CIMB payment type
		if (isset($this->request->post['payment_ipay88CreditCard_cimb'])) 
		{
			$data['payment_ipay88CreditCard_cimb'] = $this->request->post['payment_ipay88CreditCard_cimb'];
		}
				
		else 
		{
			$data['payment_ipay88CreditCard_cimb'] = $this->config->get('payment_ipay88CreditCard_cimb');
		}	

		//placed value for field credit card CIMB Authorization payment type
		if (isset($this->request->post['payment_ipay88CreditCard_cimb_auth'])) 
		{
			$data['payment_ipay88CreditCard_cimb_auth'] = $this->request->post['payment_ipay88CreditCard_cimb_auth'];
		}
				
		else 
		{
			$data['payment_ipay88CreditCard_cimb_auth'] = $this->config->get('payment_ipay88CreditCard_cimb_auth');
		}	

		//placed value for field credit card CIMB IPG payment type
		if (isset($this->request->post['payment_ipay88CreditCard_cimb_ipg'])) 
		{
			$data['payment_ipay88CreditCard_cimb_ipg'] = $this->request->post['payment_ipay88CreditCard_cimb_ipg'];
		}
				
		else 
		{
			$data['payment_ipay88CreditCard_cimb_ipg'] = $this->config->get('payment_ipay88CreditCard_cimb_ipg');
		}	

		//placed value for field credit card DANAMON payment type
		if (isset($this->request->post['payment_ipay88CreditCard_danamon'])) 
		{
			$data['payment_ipay88CreditCard_danamon'] = $this->request->post['payment_ipay88CreditCard_danamon'];
		}
				
		else 
		{
			$data['payment_ipay88CreditCard_danamon'] = $this->config->get('payment_ipay88CreditCard_danamon');
		}	

		//placed value for field credit card MANDIRI payment type
		if (isset($this->request->post['payment_ipay88CreditCard_mandiri'])) 
		{
			$data['payment_ipay88CreditCard_mandiri'] = $this->request->post['payment_ipay88CreditCard_mandiri'];
		}
				
		else 
		{
			$data['payment_ipay88CreditCard_mandiri'] = $this->config->get('payment_ipay88CreditCard_mandiri');
		}	

		//placed value for field credit card MAYBANK payment type
		if (isset($this->request->post['payment_ipay88CreditCard_maybank'])) 
		{
			$data['payment_ipay88CreditCard_maybank'] = $this->request->post['payment_ipay88CreditCard_maybank'];
		}
				
		else 
		{
			$data['payment_ipay88CreditCard_maybank'] = $this->config->get('payment_ipay88CreditCard_maybank');
		}	

		//placed value for field credit card union pay payment type
		if (isset($this->request->post['payment_ipay88CreditCard_union_pay'])) 
		{
			$data['payment_ipay88CreditCard_union_pay'] = $this->request->post['payment_ipay88CreditCard_union_pay'];
		}
				
		else 
		{
			$data['payment_ipay88CreditCard_union_pay'] = $this->config->get('payment_ipay88CreditCard_union_pay');
		}	

		//placed value for field credit card union pay payment type
		if (isset($this->request->post['payment_ipay88CreditCard_uob'])) 
		{
			$data['payment_ipay88CreditCard_uob'] = $this->request->post['payment_ipay88CreditCard_uob'];
		}
				
		else 
		{
			$data['payment_ipay88CreditCard_uob'] = $this->config->get('payment_ipay88CreditCard_uob');
		}			
			
		//placed value for field iPay88 action
		if (isset($this->request->post['payment_ipay88CreditCard_action'])) 
		{
		 	$data['payment_ipay88CreditCard_action'] = $this->request->post['payment_ipay88CreditCard_action'];
        }
		
		else 
		{
            $data['payment_ipay88CreditCard_action'] = $this->config->get('payment_ipay88CreditCard_action');
        }		
	 
	 	//placed value for field sort order
        if (isset($this->request->post['payment_ipay88CreditCard_sort_order'])) 
		{
            $data['payment_ipay88CreditCard_sort_order'] = $this->request->post['payment_ipay88CreditCard_sort_order'];
        } 
		
		else 
		{
            $data['payment_ipay88CreditCard_sort_order'] = $this->config->get('payment_ipay88CreditCard_sort_order');
        }

		//placed value for field status
        if (isset($this->request->post['payment_ipay88CreditCard_status'])) 
		{
                $data['payment_ipay88CreditCard_status'] = $this->request->post['payment_ipay88CreditCard_status'];
        }
		
		else 
		{
                $data['payment_ipay88CreditCard_status'] = $this->config->get('payment_ipay88CreditCard_status');
        }

        $data['header'] 		= $this->load->controller('common/header');
        $data['column_left'] 	= $this->load->controller('common/column_left');
        $data['footer'] 		= $this->load->controller('common/footer');

        $this->response->setOutput($this->load->view('extension/payment/ipay88CreditCard', $data));
    }



	
    protected function validate() 
	{
        if (!$this->user->hasPermission('modify', 'extension/payment/ipay88CreditCard')) 
		{
            $this->error['warning'] = $this->language->get('error_permission');
        }
		
		//Warning method title
		if (!$this->request->post['payment_ipay88CreditCard_method_title']) 
		{
            $this->error['value_error_method_title'] = $this->language->get('error_method_title');
        }
		
		//Warning description
		if (!$this->request->post['payment_ipay88CreditCard_description']) 
		{
            $this->error['value_error_description'] = $this->language->get('error_description');
        }
		
		//Warning merchant code
		if (!$this->request->post['payment_ipay88CreditCard_description']) 
		{
            $this->error['value_error_description'] = $this->language->get('error_description');
        }
		
		//Warning merchant code
		if (!$this->request->post['payment_ipay88CreditCard_merchant_code']) 
		{
            $this->error['value_error_merchant_code'] = $this->language->get('error_merchant_code');
        }
		
		//Warning merchant key
		if (!$this->request->post['payment_ipay88CreditCard_merchant_key']) 
		{
            $this->error['value_error_merchant_key'] = $this->language->get('error_merchant_key');
        }

        return !$this->error;
    }
	
}